Subject: Re: [Bitcoin-development] Adding a pong message

From: Mike Hearn <[email-masked]>
Date: Tue, 13 Mar 2012 23:29:27 +0100

TCP keep-alives aren't reliably implemented.

I've got reports that sometimes we struggle to keep connection to the
network on mobile, eg, because we roam into an area with poor
connectivity but not poor enough for the network stack to drop access
entirely. Being able to quickly check if the connection is really
there with some kind of bounded, app layer deadline is probably useful
and besides, it's cheap.